Subject: bug#17625: 24.4.50; All installed packages marked "unsigned", no archive listed

From: Stefan Monnier <[email-masked]>
Date: Thu, 26 Jun 2014 09:35:34 -0400

>> 1- why have `package-desc-signed' (and the foo.signed files)?  I don't
>> think APT has such a feature and I'm wondering what would be
>> the interest.
> I remember it was exactly for displaying signed/unsigned status on the
> list, requested by Ted:
> https://lists.gnu.org/archive/html/emacs-devel/2013-10/msg00033.html
> I'm not sure if it is useful at this point.

Ted, do you remember why you wanted the "unsigned status" displayed in
the package list?
I can't think of a use-case where it's helpful.

>> 2- Could you fix package--check-signature so that we don't signal an
>> error when we `allow-unsigned' and there's a signature, but the
>> signature just can't be checked for lack of key.
> Should be fixed now (r117413).

Great, thanks,

        Stefan